# Build against OpenSSL 3 on EL8
%if 0%{?rhel} == 8
%global openssl_pkgversion 3
%endif

Summary: Redis caching module for mainline nginx
Name: nginx-mod-redis
Version: 0.3.9
Release: 3%{?dist}
Vendor: Artera
URL: https://www.nginx.com/resources/wiki/modules/redis/

%define _modname            redis
%define _nginxver           1.24.0
%define nginx_config_dir    %{_sysconfdir}/nginx
%define nginx_build_dir     %{_builddir}/nginx-%{_nginxver}
%define mod_build_dir       %{_builddir}/%{_modname}-%{version}

Source0: https://nginx.org/download/nginx-%{_nginxver}.tar.gz
Source1: https://people.freebsd.org/~osa/ngx_http_redis-%{version}.tar.gz
Patch0: nginx-1.23.patch

Requires: nginx = 1:%{_nginxver}
BuildRequires: nginx
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: openssl%{?openssl_pkgversion}-devel
BuildRequires: pcre2-devel
BuildRequires: zlib-devel
BuildRequires: perl-devel
BuildRequires: gd-devel
BuildRequires: libxslt-devel
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Embed)
BuildRequires: gperftools-devel

License: BSD

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Redis caching module for mainline nginx.

%prep
%setup -q -n nginx-%{_nginxver}
%setup -T -D -b 1 -n ngx_http_redis-%{version}
cd %{_builddir}/ngx_http_redis-%{version}
%autopatch -p1

%build
cd %{_builddir}/nginx-%{_nginxver}
./configure --with-compat --add-dynamic-module=../ngx_http_redis-%{version}
make modules

%install
%{__rm} -rf %{buildroot}

%{__install} -Dm755 %{nginx_build_dir}/objs/ngx_http_redis_module.so \
    $RPM_BUILD_ROOT%{_libdir}/nginx/modules/ngx_http_redis_module.so

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/nginx/modules/*.so
